=== src/scripts/CMakeLists.txt ===
file(GLOB scriptFiles "${CMAKE_CURRENT_SOURCE_DIR}/*.js")
file(COPY ${scriptFiles} DESTINATION ${CMAKE_CURRENT_BINARY_DIR})
if (NOT APPLE)
  install(FILES ${scriptFiles} DESTINATION share/qterm/scripts)
  add_subdirectory(ui)
endif()
