=== debian/changelog ===
qterm (1:0.7.2-1build1) bionic; urgency=high

  * No change rebuild against openssl1.1.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 05 Feb 2018 16:52:23 +0000

qterm (1:0.7.2-1) unstable; urgency=medium

  * New upstream release.
    + Extend port number selection up to 65535. (Closes: #764889)
  * Remove broken icon symlink.
    (Closes: #851902, LP: #581199)
  * Bump Standards-Version to 4.1.0. (No changes needed)
  * Drop all patches, applied upstream.

 -- Boyuan Yang <073plan@gmail.com>  Sun, 24 Sep 2017 19:31:26 +0800
