## qterm 0.7.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 cmake_minimum_required(VERSION 2.8.11 FATAL_ERROR)
 set(QTERM_VERSION_MAJOR 0)
 set(QTERM_VERSION_MINOR 7)
-set(QTERM_VERSION_RELEASE 2)
+set(QTERM_VERSION_RELEASE 3)
 set(QTERM_VERSION "${QTERM_VERSION_MAJOR}.${QTERM_VERSION_MINOR}.${QTERM_VERSION_RELEASE}" )
 set(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake")
