=== src/test/CMakeLists.txt ===
enable_testing()
add_subdirectory(config)
add_subdirectory(global)
add_subdirectory(hostinfo)
#add_subdirectory(ssh)
