=== debian/changelog ===
qterm (1:0.7.3-2) unstable; urgency=medium

  * debian/control:
    + Bump Standards-Version to 4.2.1 (no changes needed).
    + Update my uploader email address and use the @debian.org one.

 -- Boyuan Yang <byang@debian.org>  Fri, 31 Aug 2018 16:55:23 -0400

qterm (1:0.7.3-1) unstable; urgency=medium

  * New upstream release.
    + Fix FTBFS against Qt 5.11.
  * debian/control: Bump Standards-Version to 4.2.0 (no changes needed).
  * debian/copyright: Refresh copyright date.
  * debian/patches: Drop all backported patches.
  * debian/copyright: Remove trailing empty line.

 -- Boyuan Yang <073plan@gmail.com>  Sat, 04 Aug 2018 22:21:00 +0800

qterm (1:0.7.2-2) unstable; urgency=medium

  * Backport all changes from trunk.
  * Bump Standards-Version to 4.1.4. (No changes needed)
  * d/control: Use Salsa platform for Vcs fields.
  * d/control: Bump debhelper compat to v11.
  * d/rules: Use "dh-missing --fail-missing".
  * Apply "wrap-and-sort -abst".

 -- Boyuan Yang <073plan@gmail.com>  Sun, 08 Apr 2018 23:58:47 +0800
