## qterm 0.7.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 cmake_minimum_required(VERSION 2.8.11 FATAL_ERROR)
 set(QTERM_VERSION_MAJOR 0)
 set(QTERM_VERSION_MINOR 7)
-set(QTERM_VERSION_RELEASE 3)
+set(QTERM_VERSION_RELEASE 4)
 set(QTERM_VERSION "${QTERM_VERSION_MAJOR}.${QTERM_VERSION_MINOR}.${QTERM_VERSION_RELEASE}" )
 set(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake")
 
@@ -36,8 +36,14 @@
 
 IF(APPLE)
    SET (PROGRAME QTerm)
-   SET (MACOSX_BUNDLE_VERSION $QTERM_VERSION)
+   SET (MACOSX_BUNDLE_BUNDLE_NAME ${PROGRAME})
+   SET (MACOSX_BUNDLE_GUI_IDENTIFIER "org.qterm")
+   SET (MACOSX_BUNDLE_INFO_STRING "${PROGRAME} ${QTERM_VERSION}")
+   SET (MACOSX_BUNDLE_BUNDLE_VERSION ${QTERM_VERSION})
+   SET (MACOSX_BUNDLE_LONG_VERSION_STRING ${QTERM_VERSION})
+   SET (MACOSX_BUNDLE_SHORT_VERSION_STRING "${QTERM_VERSION_MAJOR}.${QTERM_VERSION_MINOR}")
    SET (MACOSX_BUNDLE_ICON_FILE QTerm.icns)
+   SET (MACOSX_BUNDLE_COPYRIGHT "The QTerm Project")
 ELSE(APPLE)
    SET (PROGRAME qterm)
 ENDIF(APPLE)
