=== debian/changelog ===
qterm (1:0.7.4-2build1) jammy; urgency=medium

  * No-change rebuild against libssl3

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 09 Dec 2021 00:16:08 +0000

qterm (1:0.7.4-2) unstable; urgency=medium

  [ 肖盛文 ]
  * remove the automatically copied lines that are unrelated to the patch
  * delete outdated README.Debian
  * d/control:
      - delete outdated package Description about "detecting location from ip"
  * d/docs:
      - fix lintian repeated-path-segment
  * update qterm man manual
  * update debian/patches/qterm.desktop.patch, add Applied-Upstream
  * update debian/patches/spelling-error-in-binary.patch, add Applied-Upstream

 -- xiao sheng wen <atzlinux@sina.com>  Wed, 23 Sep 2020 17:26:42 +0800

qterm (1:0.7.4-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ 肖盛文 ]
  * New upstream version 0.7.4
  * add Uploaders: xiao sheng wen <atzlinux@sina.com>
  * Bump debhelper-compat (= 13)
  * Bump Standards-Version: 4.5.0
  * add Rules-Requires-Root: no
  * fix lintian: desktop-entry-lacks-keywords-entry
  * fix lintian: spelling-error-in-binary
  * add patches/series
  * fix lintian: debian-rules-uses-as-needed-linker-flag
  * d/copyright: add Upstream-Contact: Xiaoqiang Wang <xiaoqiangwang@gmail.com>
  * d/rules:
      - delete override_dh_missing
      - delete export DEB_LDFLAGS_MAINT_APPEND = -W

 -- xiao sheng wen <atzlinux@sina.com>  Tue, 12 May 2020 16:43:47 +0800
