=== debian/control ===
Source: qterm
Section: x11
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Chinese Team <chinese-developers@lists.alioth.debian.org>
Uploaders:
 Boyuan Yang <byang@debian.org>,
 xiao sheng wen <atzlinux@sina.com>,
Build-Depends:
 cmake,
 debhelper-compat (= 13),
 libdbusmenu-qt5-dev,
 libkf5wallet-dev,
 libphonon4qt5-dev,
 libqt5sql5-sqlite,
 libssl-dev,
 qt5keychain-dev,
 qtbase5-dev,
 qtmultimedia5-dev,
 qtscript5-dev,
 qttools5-dev,
 qttools5-dev-tools,
Standards-Version: 4.5.0
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/chinese-team/qterm
Vcs-Git: https://salsa.debian.org/chinese-team/qterm.git
Homepage: https://github.com/qterm/qterm

Package: qterm
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: BBS client for X Window System written in Qt
 QTerm is a BBS client for X Window System. It supports telnet, ssh1 and ssh2
 protocols. It also supports zmodem, URL detect, mouse action.
