=== src/po/CMakeLists.txt ===
file(GLOB TRANSLATIONS_FILES *.ts)
if (QT_VERSION_MAJOR EQUAL 5)
  qt5_add_translation(QM_FILES ${TRANSLATIONS_FILES})
else ()
  qt_add_translation(QM_FILES ${TRANSLATIONS_FILES})
endif ()
add_custom_target(translations_target DEPENDS ${QM_FILES})
if (NOT APPLE)
  install(FILES ${QM_FILES} DESTINATION share/qterm/po)
endif()
