=== debian/changelog ===
qterm (1:0.8.2-1) unstable; urgency=medium

  * New upstream version
  * Refresh patches
  * Standards-Version: 4.7.0 (routine-update)
  * d/copyright:
      - update year info to 2024
      - update to fix lrc check
      - delete unused License: LGPL-2.1 text

 -- xiao sheng wen <atzlinux@sina.com>  Thu, 19 Sep 2024 15:53:59 +0800

qterm (1:0.7.4-3) unstable; urgency=medium

  * Team upload.
  * Bump Standards-Version to 4.6.2.
  * debian/control: Drop myself from the uploaders list.

 -- Boyuan Yang <byang@debian.org>  Fri, 15 Mar 2024 09:19:38 -0400
