=== debian/watch ===
# See uscan(1) for format
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%qterm-$1.tar.gz%" \
     https://github.com/qterm/qterm/tags \
     (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
